"pma_recent" doesn't exist

Problems with the Windows version of XAMPP, questions, comments, and anything related.

"pma_recent" doesn't exist

Postby bkrafft » 10. December 2013 03:35

Am running MySQL 5.5.34.

This afternoon I wanted to install the linked-tables infrastructure, per Chapter 11 of Delisle's book. Seemed pretty straightforward:

1 - I edited the config.inc.php file to change the "controluser" and "controlpass". (It's just me on my laptop, so single-user installation)
2 - Then I ran the "create_tables.sql" file, which created all the "pma" tables just fine.
3 - Then I edited the config.inc.php file again per page 167 of the book. (Changed 'pmadb' from 'phpmyadmin' to the name of my database ('dev_data')).

Now I'm getting an error when I try to open phpMyAdmin: "dev_data.pma_recent" doesn't exist.

But if I change "pmadb' back to the default, I can open phpMyAdmin and that table is there, listed with all the other "pma_" files in my database.

Any ideas?

Could this be happening because I SHOULD have run "upgrade_tables_mysql_4_1_2+.sql" instead?

(NEXT DAY UPDATES: I went ahead and tried to run the "upgrade....sql" file, but THAT gave me an error saying that "phpmyadmin.pma_bookmark" does not exist. It's like it can see any of those tables in the database. So I thought maybe this was a permissions issue, and I ran with the original config file, to make sure any edits I had made were no longer there. Still getting these errors.)
bkrafft
 
Posts: 3
Joined: 09. December 2013 17:34
XAMPP Version: 1.8.3
Operating System: Windows

Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 37 guests